Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.src 1.8.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.src
Class JavaDocSupport

    java.lang.Object
      org.openide.src.JavaDocSupport

    public class JavaDocSupport

extends Object

JavaDocSupport singleton which serves as source of memory implementations of JavaDoc objects and JavaDocTags

Method Summary
`static JavaDoc.Class` | `createClassJavaDoc(String text)` Creates new instance of memory implementation of JavaDoc.Class interface.
`static JavaDoc.Field` | `createFieldJavaDoc(String text)` Creates new instance of memory implementation of JavaDoc.Field interface.
`static JavaDoc` | `createInitializerJavaDoc(String text)` Creates a new instance of memory implementation of JavaDoc interface.
`static JavaDoc` | `createJavaDoc(String text)` Creates new instance of memory implementation of JavaDoc interface.
`static JavaDoc.Method` | `createMethodJavaDoc(String text)` Creates new instance of memory implementation of JavaDoc.Method interface.
`static JavaDocTag.Param` | `createParamTag(String name, String text)` Creates new instance of memory implementation of JavaDocTag.Param interface.
`static JavaDocTag.See` | `createSeeTag(String name, String text)` Creates new instance of memory implementation of JavaDocTag.See interface.
`static JavaDocTag.SerialField` | `createSerialFieldTag(String name, String text)` Creates new instance of memory implementation of JavaDocTag.SerialField interface.
`static JavaDocTag` | `createTag(String name, String text)` Creates new instance of memory implementation of JavaDocTag interface.
`static JavaDocTag.Throws` | `createThrowsTag(String name, String text)` Creates new instance of memory implementation of JavaDocTag.Throws interface.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createJavaDoc

    public static JavaDoc createJavaDoc(String text)

  Creates new instance of memory implementation of JavaDoc interface.

  Parameters:
    `text` - Raw text of JavaDoc comment.
  Returns:
    Instance of memory implementation of the JavaDoc interface.

### createClassJavaDoc

    public static JavaDoc.Class createClassJavaDoc(String text)

  Creates new instance of memory implementation of JavaDoc.Class interface.

  Parameters:
    `text` - Raw text of JavaDoc comment.
  Returns:
    Instance of memory implementation of the JavaDoc.Class interface.

### createFieldJavaDoc

    public static JavaDoc.Field createFieldJavaDoc(String text)

  Creates new instance of memory implementation of JavaDoc.Field interface.

  Parameters:
    `text` - Raw text of JavaDoc comment.
  Returns:
    Instance of memory implementation of the JavaDoc.Field interface.

### createMethodJavaDoc

    public static JavaDoc.Method createMethodJavaDoc(String text)

  Creates new instance of memory implementation of JavaDoc.Method interface.

  Parameters:
    `text` - Raw text of JavaDoc comment.
  Returns:
    Instance of memory implementation of the JavaDoc.Method interface.

### createInitializerJavaDoc

    public static JavaDoc createInitializerJavaDoc(String text)

  Creates a new instance of memory implementation of JavaDoc interface.

  Parameters:
    `text` - Raw contents of the comment
  Returns:
    Instance of memory implementation of the JavaDoc interface.

### createTag

    public static JavaDocTag createTag(String name,
                                       String text)

  Creates new instance of memory implementation of JavaDocTag interface.

  Parameters:
    `name` - Name of the tag.
    `text` - Text of the tag.
  Returns:
    Instance of memory implementation of the JavaDocTag interface.

### createSeeTag

    public static JavaDocTag.See createSeeTag(String name,
                                              String text)

  Creates new instance of memory implementation of JavaDocTag.See interface.

  Parameters:
    `name` - Name of the tag.
    `text` - Text of the tag to parse.
  Returns:
    Instance of memory implementation of the JavaDocTag.See interface.

### createParamTag

    public static JavaDocTag.Param createParamTag(String name,
                                                  String text)

  Creates new instance of memory implementation of JavaDocTag.Param interface.

  Parameters:
    `name` - Name of the tag.
    `text` - Text of the tag to parse.
  Returns:
    Instance of memory implementation of the JavaDocTag.Param interface.

### createThrowsTag

    public static JavaDocTag.Throws createThrowsTag(String name,
                                                    String text)

  Creates new instance of memory implementation of JavaDocTag.Throws interface.

  Parameters:
    `name` - Name of the tag.
    `text` - Text of the tag to parse.
  Returns:
    Instance of memory implementation of the JavaDocTag.Throws interface.

### createSerialFieldTag

    public static JavaDocTag.SerialField createSerialFieldTag(String name,
                                                              String text)

  Creates new instance of memory implementation of JavaDocTag.SerialField interface.

  Parameters:
    `name` - Name of the tag.
    `text` - Text of the tag to parse.
  Returns:
    Instance of memory implementation of the JavaDocTag.SerialField interface.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.src 1.8.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.